export declare type PackageType = 'plugin' | 'theme';
export interface Package {
    name: string;
    link: string;
}
export declare function update(type: PackageType): Promise<void>;
/**
 * @return Names of installed packages
 */
export declare function install(path: string, type: PackageType, packages: string[]): Promise<string[]>;
/**
 * Boot a directory as a Hexo Wiki project
 */
export declare function boot({ path, plugins, theme, pages, remote }?: {
    path?: string;
    plugins?: string[];
    theme?: string;
    pages?: string[];
    remote?: string | URL;
}): Promise<void>;
