import { SimpleGit } from 'simple-git/promise';
export declare const basePath: string, meta: any;
export declare function copyFromGit(URI: string | URL, path?: string, recurse?: boolean): Promise<void>;
export declare function setRoot(path: string, git: SimpleGit): Promise<void>;
export interface WebManifest {
    name: string;
    start_url: string;
    description: string;
    scope?: string;
    lang?: string;
    dir?: string;
    icons?: {
        type: string;
        sizes: string;
        src: string;
    }[];
}
export declare function setPWA({ name, start_url, description, scope, lang, dir, icons }?: WebManifest): {
    manifest: {
        path: string;
        body: {
            name: string;
            short_name: string;
            start_url: string;
            description: string;
            scope: string;
            display: string;
            orientation: string;
            lang: string;
            dir: string;
            theme_color: string;
            background_color: string;
            icons: {
                type: string;
                sizes: string;
                src: string;
            }[];
        };
    };
    serviceWorker: {
        globDirectory: string;
        globPatterns: string[];
        swDest: string;
        importWorkboxFrom: string;
        importScripts: string[];
    };
};
